org.apache.ignite.mxbean

## Interface EncryptionMXBean

-     @MXBeanDescription(value="MBean that provides access to encryption features.")
      public interface EncryptionMXBean

  Encryption features MBean.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `changeCacheGroupKey(String cacheOrGrpName)` Starts cache group encryption key change process.
    `void` | `changeMasterKey(String masterKeyName)` Starts master key change process.
    `String` | `getMasterKeyName()` Gets the current master key name.

- - ### Method Detail

    - #### getMasterKeyName

          @MXBeanDescription(value="Current master key name.")
          String getMasterKeyName()

      Gets the current master key name.
      Returns:
        Master key name.
      See Also:
        `IgniteEncryption.getMasterKeyName()`

    - #### changeMasterKey

          @MXBeanDescription(value="Change master key name.")
          void changeMasterKey(@MXBeanParameter(name="masterKeyName",description="Master key name.")
                                                                                   String masterKeyName)

      Starts master key change process.
      Parameters:
        `masterKeyName` - Master key name.
      See Also:
        `IgniteEncryption.changeMasterKey(String)`

    - #### changeCacheGroupKey

          @MXBeanDescription(value="Change cache group key.")
          void changeCacheGroupKey(@MXBeanParameter(name="cacheOrGroupName",description="Cache or group name.")
                                                                                       String cacheOrGrpName)

      Starts cache group encryption key change process.
      Parameters:
        `cacheOrGrpName` - Cache or group name.
      See Also:
        `IgniteEncryption.changeCacheGroupKey(Collection)`

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022